VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo:
[legend]

## Public Member Functions

| SamplerYcbcrConversionInfo (SamplerYcbcrConversion conversion_=SamplerYcbcrConversion())
| SamplerYcbcrConversionInfo (VkSamplerYcbcrConversionInfo const &rhs)
SamplerYcbcrConversionInfo & | operator= (VkSamplerYcbcrConversionInfo const &rhs)
SamplerYcbcrConversionInfo & | setPNext (const void *pNext_)
SamplerYcbcrConversionInfo & | setConversion (SamplerYcbcrConversion conversion_)
| operator VkSamplerYcbcrConversionInfo const & () const
| operator VkSamplerYcbcrConversionInfo & ()
bool | operator== (SamplerYcbcrConversionInfo const &rhs) const
bool | operator!= (SamplerYcbcrConversionInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
SamplerYcbcrConversion | conversion

## Private Attributes

StructureType | sType = StructureType::eSamplerYcbcrConversionInfo

## Detailed Description

Definition at line 16215 of file vulkan.hpp.

## Constructor & Destructor Documentation

## SamplerYcbcrConversionInfo() [1/2]

VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::SamplerYcbcrConversionInfo | ( | SamplerYcbcrConversion | conversion_ = `SamplerYcbcrConversion()` | ) |

inline

Definition at line 16217 of file vulkan.hpp.

: conversion( conversion_ )
{
}

## SamplerYcbcrConversionInfo() [2/2]

VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::SamplerYcbcrConversionInfo | ( | VkSamplerYcbcrConversionInfo const & | rhs | ) |

inline

Definition at line 16222 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SamplerYcbcrConversionInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkSamplerYcbcrConversionInfo &()

VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::operator VkSamplerYcbcrConversionInfo & | ( |  | ) |

inline

Definition at line 16249 of file vulkan.hpp.

{
return *reinterpret_cast<VkSamplerYcbcrConversionInfo*>(this);
}

## operator VkSamplerYcbcrConversionInfo const &()

VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::operator VkSamplerYcbcrConversionInfo const & | ( |  | ) | const

inline

Definition at line 16244 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSamplerYcbcrConversionInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::operator!= | ( | SamplerYcbcrConversionInfo const & | rhs | ) | const

inline

Definition at line 16261 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

SamplerYcbcrConversionInfo& VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::operator= | ( | VkSamplerYcbcrConversionInfo const & | rhs | ) |

inline

Definition at line 16227 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( SamplerYcbcrConversionInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::operator== | ( | SamplerYcbcrConversionInfo const & | rhs | ) | const

inline

Definition at line 16254 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( conversion == rhs.conversion );
}

References conversion, pNext, and sType.

Referenced by operator!=().

## setConversion()

SamplerYcbcrConversionInfo& VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::setConversion | ( | SamplerYcbcrConversion | conversion_ | ) |

inline

Definition at line 16238 of file vulkan.hpp.

{
conversion = conversion_;
return *this;
}

References conversion.

## setPNext()

SamplerYcbcrConversionInfo& VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 16232 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## conversion

SamplerYcbcrConversion VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::conversion

Definition at line 16271 of file vulkan.hpp.

Referenced by operator==(), and setConversion().

## pNext

const void* VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::pNext = nullptr

Definition at line 16270 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::sType = StructureType::eSamplerYcbcrConversionInfo

private

Definition at line 16267 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::operator==
bool operator==(SamplerYcbcrConversionInfo const &rhs) const
Definition: vulkan.hpp:16254
VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::SamplerYcbcrConversionInfo
SamplerYcbcrConversionInfo(SamplerYcbcrConversion conversion_=SamplerYcbcrConversion())
Definition: vulkan.hpp:16217
VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::sType
StructureType sType
Definition: vulkan.hpp:16267
VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::conversion
SamplerYcbcrConversion conversion
Definition: vulkan.hpp:16271
VkSamplerYcbcrConversionInfo
Definition: vulkan_core.h:4317
VULKAN_HPP_NAMESPACE::SamplerYcbcrConversionInfo::pNext
const void * pNext
Definition: vulkan.hpp:16270